"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createSimpleTheme = createSimpleTheme;
exports.defaultTheme = void 0;
var _color = _interopRequireDefault(require("color"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function createSimpleTheme(simpleTheme) {
  var _simpleTheme$light, _simpleTheme$light$bo, _simpleTheme$light$bo2, _simpleTheme$light$bo3, _simpleTheme$light$bo4, _simpleTheme$light$bo5, _simpleTheme$light$bo6, _simpleTheme$light$bo7, _simpleTheme$light$bo8, _simpleTheme$light$bo9, _simpleTheme$dark$bot, _simpleTheme$dark$bot2, _simpleTheme$dark$bot3, _simpleTheme$dark$bot4, _simpleTheme$dark$bot5, _simpleTheme$dark$bot6, _simpleTheme$dark$bot7, _simpleTheme$dark$bot8, _simpleTheme$dark$bot9;
  return {
    light: {
      layout: {
        backgroundColor: simpleTheme.light.backgroundColor || '#fff'
      },
      bottomBar: {
        backgroundColor: ((_simpleTheme$light = simpleTheme.light) === null || _simpleTheme$light === void 0 ? void 0 : (_simpleTheme$light$bo = _simpleTheme$light.bottomTabs) === null || _simpleTheme$light$bo === void 0 ? void 0 : _simpleTheme$light$bo.backgroundColor) || '#fff',
        textColor: ((_simpleTheme$light$bo2 = simpleTheme.light.bottomTabs) === null || _simpleTheme$light$bo2 === void 0 ? void 0 : _simpleTheme$light$bo2.textColor) || simpleTheme.light.text,
        selectedTextColor: ((_simpleTheme$light$bo3 = simpleTheme.light.bottomTabs) === null || _simpleTheme$light$bo3 === void 0 ? void 0 : _simpleTheme$light$bo3.selectedTextColor) || simpleTheme.light.accent,
        activeIndicatorColor: ((_simpleTheme$light$bo4 = simpleTheme.light.bottomTabs) === null || _simpleTheme$light$bo4 === void 0 ? void 0 : _simpleTheme$light$bo4.activeIndicatorColor) || (0, _color.default)(simpleTheme.light.accent).lighten(0.9).hex(),
        rippleColor: ((_simpleTheme$light$bo5 = simpleTheme.light.bottomTabs) === null || _simpleTheme$light$bo5 === void 0 ? void 0 : _simpleTheme$light$bo5.rippleColor) || (0, _color.default)(simpleTheme.light.accent).lighten(0.9).hex(),
        badgeTextColor: '#fff',
        // not supported yet in iOS/Android
        elevation: 5,
        labelVisibilityMode: 'labeled',
        scrollsToTop: true,
        fontFamily: (_simpleTheme$light$bo6 = simpleTheme.light.bottomTabs) === null || _simpleTheme$light$bo6 === void 0 ? void 0 : _simpleTheme$light$bo6.fontFamily,
        fontWeight: (_simpleTheme$light$bo7 = simpleTheme.light.bottomTabs) === null || _simpleTheme$light$bo7 === void 0 ? void 0 : _simpleTheme$light$bo7.fontWeight,
        fontStyle: (_simpleTheme$light$bo8 = simpleTheme.light.bottomTabs) === null || _simpleTheme$light$bo8 === void 0 ? void 0 : _simpleTheme$light$bo8.fontStyle,
        fontSize: (_simpleTheme$light$bo9 = simpleTheme.light.bottomTabs) === null || _simpleTheme$light$bo9 === void 0 ? void 0 : _simpleTheme$light$bo9.fontSize
      }
    },
    dark: {
      layout: {
        backgroundColor: simpleTheme.dark.backgroundColor || '#000'
      },
      bottomBar: {
        backgroundColor: ((_simpleTheme$dark$bot = simpleTheme.dark.bottomTabs) === null || _simpleTheme$dark$bot === void 0 ? void 0 : _simpleTheme$dark$bot.backgroundColor) || '#121212',
        textColor: ((_simpleTheme$dark$bot2 = simpleTheme.dark.bottomTabs) === null || _simpleTheme$dark$bot2 === void 0 ? void 0 : _simpleTheme$dark$bot2.textColor) || simpleTheme.dark.text,
        selectedTextColor: ((_simpleTheme$dark$bot3 = simpleTheme.dark.bottomTabs) === null || _simpleTheme$dark$bot3 === void 0 ? void 0 : _simpleTheme$dark$bot3.selectedTextColor) || simpleTheme.dark.accent,
        activeIndicatorColor: ((_simpleTheme$dark$bot4 = simpleTheme.dark.bottomTabs) === null || _simpleTheme$dark$bot4 === void 0 ? void 0 : _simpleTheme$dark$bot4.activeIndicatorColor) || (0, _color.default)(simpleTheme.dark.accent).darken(0.9).hex(),
        rippleColor: ((_simpleTheme$dark$bot5 = simpleTheme.dark.bottomTabs) === null || _simpleTheme$dark$bot5 === void 0 ? void 0 : _simpleTheme$dark$bot5.rippleColor) || (0, _color.default)(simpleTheme.dark.accent).darken(0.9).hex(),
        badgeTextColor: '#fff',
        // not supported yet in iOS/Android
        elevation: 5,
        labelVisibilityMode: 'labeled',
        scrollsToTop: true,
        fontFamily: (_simpleTheme$dark$bot6 = simpleTheme.dark.bottomTabs) === null || _simpleTheme$dark$bot6 === void 0 ? void 0 : _simpleTheme$dark$bot6.fontFamily,
        fontWeight: (_simpleTheme$dark$bot7 = simpleTheme.dark.bottomTabs) === null || _simpleTheme$dark$bot7 === void 0 ? void 0 : _simpleTheme$dark$bot7.fontWeight,
        fontStyle: (_simpleTheme$dark$bot8 = simpleTheme.dark.bottomTabs) === null || _simpleTheme$dark$bot8 === void 0 ? void 0 : _simpleTheme$dark$bot8.fontStyle,
        fontSize: (_simpleTheme$dark$bot9 = simpleTheme.dark.bottomTabs) === null || _simpleTheme$dark$bot9 === void 0 ? void 0 : _simpleTheme$dark$bot9.fontSize
      }
    }
  };
}
const defaultTheme = createSimpleTheme({
  light: {
    primary: '#6200ee',
    accent: '#6200ee',
    text: '#000',
    bottomTabs: {}
  },
  dark: {
    primary: '#edabff',
    accent: '#edabff',
    text: '#fff'
  }
});
exports.defaultTheme = defaultTheme;
//# sourceMappingURL=theme.js.map