"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OriginalBottomTabs = OriginalBottomTabs;
exports.default = void 0;
var React = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _BottomTabWeb = _interopRequireDefault(require("./BottomTabWeb"));
var _OptimizedContext = _interopRequireDefault(require("../contexts/OptimizedContext"));
var _navigationUtils = require("../navigationUtils");
var _useCurrentRoot = _interopRequireDefault(require("../useCurrentRoot"));
var _BottomTabIndexContext = _interopRequireDefault(require("../contexts/BottomTabIndexContext"));
var _BottomTabBadgesContext = _interopRequireDefault(require("../contexts/BottomTabBadgesContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function BottomTabsWrapperWeb(_ref) {
  var _currentRoot$componen;
  let {
    children
  } = _ref;
  const {
    currentRoot
  } = (0, _useCurrentRoot.default)();
  const aboveBreakingPoint = (0, _navigationUtils.useAboveBreakingPoint)((0, _navigationUtils.getBreakingPointFromRoot)(currentRoot));
  const aboveDrawerBreakingPoint = (0, _navigationUtils.useAboveBreakingPoint)(1240);
  const orientation = aboveBreakingPoint ? 'horizontal' : 'vertical';
  if ((currentRoot === null || currentRoot === void 0 ? void 0 : currentRoot.type) !== 'bottomTabs') {
    return children;
  }
  const inner = /*#__PURE__*/React.createElement(OriginalBottomTabs, {
    orientation: orientation,
    aboveDrawerBreakingPoint: aboveDrawerBreakingPoint
  }, children);
  if ((_currentRoot$componen = currentRoot.components) !== null && _currentRoot$componen !== void 0 && _currentRoot$componen.override) {
    return /*#__PURE__*/React.createElement(currentRoot.components.override, {
      orientation: orientation,
      originalBottomTabs: inner
    }, children);
  }
  return inner;
}
function OriginalBottomTabs(_ref2) {
  var _currentRoot$componen2, _currentRoot$componen3;
  let {
    children,
    orientation,
    aboveDrawerBreakingPoint
  } = _ref2;
  const {
    currentRoot
  } = (0, _useCurrentRoot.default)();
  const {
    theme
  } = React.useContext(_OptimizedContext.default);
  const {
    badges
  } = React.useContext(_BottomTabBadgesContext.default);
  const {
    bottomTabIndex
  } = React.useContext(_BottomTabIndexContext.default);
  if ((currentRoot === null || currentRoot === void 0 ? void 0 : currentRoot.type) !== 'bottomTabs') {
    return children;
  }
  return /*#__PURE__*/React.createElement(_reactNative.View, {
    style: [styles.root, styles[orientation]]
  }, /*#__PURE__*/React.createElement(_reactNative.View, {
    style: styles.screens
  }, children), /*#__PURE__*/React.createElement(_reactNative.View, {
    style: [bottomStyles.root, {
      backgroundColor: theme.bottomBar.backgroundColor
    }, bottomStyles[orientation], aboveDrawerBreakingPoint && bottomStyles.horizontalBig]
  }, currentRoot !== null && currentRoot !== void 0 && (_currentRoot$componen2 = currentRoot.components) !== null && _currentRoot$componen2 !== void 0 && _currentRoot$componen2.start ? /*#__PURE__*/React.createElement(currentRoot.components.start, {
    orientation: orientation
  }) : null, currentRoot.children.map((child, index) => /*#__PURE__*/React.createElement(_BottomTabWeb.default, {
    orientation: orientation,
    aboveDrawerBreakingPoint: aboveDrawerBreakingPoint,
    key: child.path,
    bottomTab: child,
    isSelected: bottomTabIndex === index,
    count: badges[child.path]
  })), currentRoot !== null && currentRoot !== void 0 && (_currentRoot$componen3 = currentRoot.components) !== null && _currentRoot$componen3 !== void 0 && _currentRoot$componen3.end ? /*#__PURE__*/React.createElement(currentRoot.components.end, {
    orientation: orientation
  }) : null));
}
const styles = _reactNative.StyleSheet.create({
  root: {
    flex: 1
  },
  screens: {
    flex: 1
  },
  bottomTabs: {
    position: 'relative',
    zIndex: 100,
    alignItems: 'center'
  },
  horizontal: {
    flexDirection: 'row-reverse'
  },
  vertical: {
    flexDirection: 'column'
  }
});
const bottomStyles = _reactNative.StyleSheet.create({
  root: {
    position: 'relative',
    alignItems: 'center',
    justifyContent: 'center',
    // shadowColor: '#000',
    // shadowOffset: {
    //   width: 0,
    //   height: 5,
    // },
    // shadowOpacity: 0.34,
    // shadowRadius: 6.27,
    // elevation: 10,
    paddingBottom: 'env(safe-area-inset-bottom)'
  },
  horizontal: {
    flexDirection: 'column',
    justifyContent: 'flex-start'
  },
  vertical: {
    flexDirection: 'row',
    justifyContent: 'center'
  },
  horizontalBig: {
    width: 320,
    alignItems: 'flex-start'
  }
});
var _default = /*#__PURE__*/React.memo(BottomTabsWrapperWeb);
exports.default = _default;
//# sourceMappingURL=BottomTabsWrapperWeb.js.map