import * as React from 'react';
import BottomTabBadgesContext from './BottomTabBadgesContext';
export default function BottomTabBadgeProvider(_ref) {
  let {
    children
  } = _ref;
  const [badges, setBadges] = React.useState({});
  const setBadge = React.useCallback((key, badge) => {
    setBadges(prev => ({
      ...prev,
      [key]: badge
    }));
  }, []);
  const setMultipleBadges = React.useCallback(multipleBadges => {
    setBadges(prev => ({
      ...prev,
      ...multipleBadges
    }));
  }, []);
  const value = React.useMemo(() => ({
    badges,
    setBadge,
    setMultipleBadges
  }), [setBadge, badges, setMultipleBadges]);
  return /*#__PURE__*/React.createElement(BottomTabBadgesContext.Provider, {
    value: value
  }, children);
}
//# sourceMappingURL=BottomTabBadgeProvider.js.map