import * as React from 'react';
export function lazyWithPreload(factory) {
  const ReactLazyComponent = /*#__PURE__*/React.lazy(factory);
  let PreloadedComponent;
  let factoryPromise;
  const Component = /*#__PURE__*/React.forwardRef(function LazyWithPreload(props, ref) {
    // Once one of these is chosen, we must ensure that it continues to be
    // used for all subsequent renders, otherwise it can cause the
    // underlying component to be unmounted and remounted.
    const ComponentToRender = React.useRef(PreloadedComponent ?? ReactLazyComponent);
    return /*#__PURE__*/React.createElement(ComponentToRender.current, Object.assign(ref ? {
      ref
    } : {}, props));
  });
  const LazyWithPreload = Component;
  LazyWithPreload.preload = () => {
    if (!factoryPromise) {
      factoryPromise = factory().then(module => {
        PreloadedComponent = module.default;
        return PreloadedComponent;
      });
    }
    return factoryPromise;
  };
  return LazyWithPreload;
}
export default lazyWithPreload;
//# sourceMappingURL=lazy.js.map