import * as React from 'react';
import { NavigationMotion } from 'navigation-react-mobile';
import OptimizedContext, { OptimizedContextProvider } from '../contexts/OptimizedContext';
import { Head } from '../Head';
function NavigationStack(_ref) {
  let {
    renderWeb
  } = _ref;
  const {
    theme
  } = React.useContext(OptimizedContext);
  return /*#__PURE__*/React.createElement(NavigationMotion, {
    duration: 0,
    renderMotion: (_, scene, key, active, state, data) => {
      const screen = state.screen;
      const screenOptions = screen === null || screen === void 0 ? void 0 : screen.options;
      const title = screenOptions === null || screenOptions === void 0 ? void 0 : screenOptions.title;
      const description = screenOptions === null || screenOptions === void 0 ? void 0 : screenOptions.description;
      return /*#__PURE__*/React.createElement("div", {
        key: key,
        style: {
          position: 'absolute',
          left: 0,
          right: 0,
          top: 0,
          bottom: 0,
          overflow: 'hidden',
          display: 'flex',
          flex: 1,
          flexDirection: 'column',
          // opacity: 1,
          backgroundColor: theme.layout.backgroundColor
        }
      }, active && /*#__PURE__*/React.createElement(Head, null, /*#__PURE__*/React.createElement("title", null, title || ''), /*#__PURE__*/React.createElement("meta", {
        name: "description",
        content: description || ''
      })), /*#__PURE__*/React.createElement(OptimizedContextProvider, {
        state: state,
        data: data
      }, (renderWeb === null || renderWeb === void 0 ? void 0 : renderWeb(state.key)) || scene));
    }
  });
}
export default NavigationStack;
//# sourceMappingURL=NavigationStack.web.js.map