import * as React from 'react';
import BottomTabBadgesContext from './contexts/BottomTabBadgesContext';
export default function useBottomTabBadges() {
  const {
    setBadge,
    badges,
    setMultipleBadges
  } = React.useContext(BottomTabBadgesContext);
  const updateBadge = React.useCallback((tab, badge) => {
    setBadge(tab.path, badge);
  }, [setBadge]);
  const updateBadges = React.useCallback(multipleBadges => {
    const newBadges = {};
    multipleBadges.forEach(_ref => {
      let {
        tab,
        badge
      } = _ref;
      newBadges[tab.path] = badge;
    });
    setMultipleBadges(newBadges);
  }, [setMultipleBadges]);
  return {
    badges,
    updateBadge,
    updateBadges
  };
}
//# sourceMappingURL=useBottomTabBadges.js.map