import * as React from 'react';
import useCurrentRoot from './useCurrentRoot';
import BottomTabIndexContext from './contexts/BottomTabIndexContext';
export default function useBottomTabIndex() {
  var _currentRoot$children;
  const {
    currentRoot
  } = useCurrentRoot();
  const {
    bottomTabIndex,
    setBottomTabIndex
  } = React.useContext(BottomTabIndexContext);
  const switchToTab = React.useCallback(async tab => {
    setBottomTabIndex(currentRoot.children.findIndex(child => child.path === tab.path));
  }, [currentRoot, setBottomTabIndex]);
  const hasBottomIndex = bottomTabIndex !== undefined && bottomTabIndex !== null;
  const currentTab = hasBottomIndex && (currentRoot === null || currentRoot === void 0 ? void 0 : currentRoot.type) === 'bottomTabs' ? currentRoot === null || currentRoot === void 0 ? void 0 : (_currentRoot$children = currentRoot.children) === null || _currentRoot$children === void 0 ? void 0 : _currentRoot$children[bottomTabIndex] : undefined;
  return {
    switchToTab,
    currentTab
    // setBottomTabIndex,
    // bottomTabIndex,
  };
}
//# sourceMappingURL=useBottomTabIndex.js.map